Bug 1670631 (CVE-2018-18500) - CVE-2018-18500 Mozilla: Use-after-free parsing HTML5 stream
Summary: CVE-2018-18500 Mozilla: Use-after-free parsing HTML5 stream
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18500
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20190129,repor...
Depends On: 1668153 1670637 1668154 1668155 1668156 1670636 1670638 1670639 1670640
Blocks: 1668151 1670486
TreeView+ depends on / blocked
 
Reported: 2019-01-29 23:18 UTC by Doran Moppert
Modified: 2019-06-10 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:46:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0218 None None None 2019-01-30 17:38:57 UTC
Red Hat Product Errata RHSA-2019:0219 None None None 2019-01-30 17:56:19 UTC
Red Hat Product Errata RHSA-2019:0269 None None None 2019-02-04 20:41:48 UTC
Red Hat Product Errata RHSA-2019:0270 None None None 2019-02-04 20:42:01 UTC

Description Doran Moppert 2019-01-29 23:18:24 UTC
A use-after-free vulnerability can occur while parsing an HTML5 stream in concert with custom HTML elements. This results in the stream parser object being freed while still in use, leading to a potentially exploitable crash. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-02/#CVE-2018-18500

Comment 1 Doran Moppert 2019-01-29 23:18:27 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Yaniv Frank (SophosLabs)

Comment 7 errata-xmlrpc 2019-01-30 17:38:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0218 https://access.redhat.com/errata/RHSA-2019:0218

Comment 8 errata-xmlrpc 2019-01-30 17:56:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0219 https://access.redhat.com/errata/RHSA-2019:0219

Comment 9 errata-xmlrpc 2019-02-04 20:41:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0269 https://access.redhat.com/errata/RHSA-2019:0269

Comment 10 errata-xmlrpc 2019-02-04 20:42:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0270 https://access.redhat.com/errata/RHSA-2019:0270


Note You need to log in before you can comment on or make changes to this bug.